---
title: "Utilisateur"
source: /fr/gcxone/api/user
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources utilisateur. 6 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentification](/gcxone/api/authentication).

## POST /user/

CRÉER UN NOUVEAU utilisateur

### Corps de la requête

Ajouter un utilisateur

```json
{
  "payload": {
    "id": "string",
    "email": "string (required)",
    "firstName": "string (required)",
    "lastName": "string (required)",
    "isActive": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "apps": [
      {
        "displaystring": "string",
        "url": "string",
        "type": "string",
        "imgUrl": "string",
        "class": "string",
        "graphUrl": [
          "…"
        ],
        "internalName": "string",
        "permission": "object",
        "mapInformation": "object"
      }
    ],
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "s3ImagePath": "string",
    "partnerLogin": "boolean",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "countryName": "any",
    "subdomain": "string",
    "accessLevel": "string",
    "parentAccountId": "string",
    "parent": "string",
    "serviceProvidersEventProviderId": "string"
  }
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## POST /user/filter

Récupère la liste des utilisateurs avec filtrage, tri et pagination. Permet la recherche par niveau hiérarchique. Peut être filtré en utilisant la hiérarchie spécifiée ou utilise la hiérarchie de l'utilisateur connecté. Cela offre la possibilité d'obtenir des champs d'entité supplémentaires dans la réponse. Fournit également les métadonnées de configuration de l'entité.

### Corps de la requête

Filtrage et tri des utilisateurs

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse :

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "User",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "photo": "",
      "email": "admin@dev.de",
      "contact": "+41 ",
      "isActive": "true",
      "firstName": "Test",
      "lastName": "User3",
      "accessLevel": "serviceprovider",
      "uniqueId": "c8c03fca60f5804624540aceabdc003",
      "parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
      "roles": "User role test",
      "applicationName": "app name",
      "sessionTimeOutInMin": 30
    },
    {
      "photo": "",
      "email": "admin-1@dev.de",
      "contact": "+41 ",
      "isActive": "true",
      "firstName": "Test",
      "lastName": "User4",
      "accessLevel": "serviceprovider",
      "uniqueId": "40aceabdc4e20770c8c03fca60f58046",
      "parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
      "roles": "User role test",
      "applicationName": null,
      "sessionTimeOutInMin": 30
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /user/me

Afficher l'utilisateur connecté

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## GET /user/{id}

obtenir l'utilisateur par identifiant

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## PUT /user/{id}

Mettre à jour un utilisateur existant

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | string | oui |  |

### Corps de la demande

Pour ajouter ou mettre à jour un utilisateur, fournir l'Id existant

```json
{
  "payload": {
    "id": "string",
    "email": "string (required)",
    "firstName": "string (required)",
    "lastName": "string (required)",
    "isActive": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "apps": [
      {
        "displaystring": "string",
        "url": "string",
        "type": "string",
        "imgUrl": "string",
        "class": "string",
        "graphUrl": [
          "…"
        ],
        "internalName": "string",
        "permission": "object",
        "mapInformation": "object"
      }
    ],
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "s3ImagePath": "string",
    "partnerLogin": "boolean",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "countryName": "any",
    "subdomain": "string",
    "parentAccountId": "string",
    "serviceProvidersEventProviderId": "string"
  }
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## DELETE /user/{id}

Supprimer un utilisateur par Id

### Paramètres

| Nom | Entrée | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |